/*
 * Purpose: AddressManager application
 * Author:  Frank Bu
 * Created: 2002
 */

#include "AddressManager.h"
#include "AddressManagerFrame.h"

static const char sccsid[] = "%W% %G%";

#include "addresses.xpm"

// Main proc

IMPLEMENT_APP(AddressManagerApp)

// `Main program' equivalent, creating windows and returning main app frame
bool AddressManagerApp::OnInit(void)
{
	SetExitOnFrameDelete(TRUE);

    // Create the main frame window
    AddressManagerFrame *frame = new AddressManagerFrame((wxFrame *) NULL, (char *) "Address Manager", wxPoint(50, 50), wxSize(450, 300));

    // Give it an icon
    frame->SetIcon(wxIcon(addresses_xpm));

    // Make a menubar
    wxMenu *file_menu = new wxMenu;
    file_menu->Append(wxID_NEW, "&Neu");
    file_menu->Append(wxID_OPEN, "&ffnen...");
    file_menu->AppendSeparator();
//    file_menu->Append(wxID_CLOSE, "Schlieen");
    file_menu->Append(wxID_SAVE, "&Sichern\tCtrl+S");
    file_menu->Append(wxID_SAVEAS, "Sichern unter...");
    file_menu->AppendSeparator();
    file_menu->Append(MENU_FILE_EXIT, "Beenden\tCtrl+Q");

    wxMenu *edit_menu = new wxMenu;
    edit_menu->Append(MENU_EDIT_CUT, "Ausschneiden\tCtrl+X");
    edit_menu->Append(MENU_EDIT_COPY, "Kopieren\tCtrl+C");
    edit_menu->Append(MENU_EDIT_PASTE, "Einfgen\tCtrl+V");

    edit_menu->AppendSeparator();
    edit_menu->Append(wxID_FIND, "Suchen...\tCtrl+F");

    wxMenu *table_menu = new wxMenu;
    table_menu->Append(MENU_TABLE_DOUBLET, "&Dublette Finden");
    table_menu->Append(MENU_TABLE_SORT, "So&rtieren...");
    table_menu->Append(MENU_TABLE_CONFIG, "Tabellenkonfiguration...");
/*
    wxMenu *export_menu = new wxMenu;
    export_menu->Append(MENU_EXPORT_EMAIL, "eMail...");
    export_menu->Append(MENU_EXPORT_SMS, "SMS...");
    export_menu->Append(MENU_EXPORT_FAX, "Fax...");
*/
    wxMenuBar *menu_bar = new wxMenuBar;
    menu_bar->Append(file_menu, "&Datei");
    menu_bar->Append(edit_menu, "&Bearbeiten");
    menu_bar->Append(table_menu, "&Tabelle");
//    menu_bar->Append(export_menu, "&Export");

#ifdef __WXMAC__
	s_macHelpMenuTitleName = "Hilfe";
	s_macAboutMenuItemId = wxID_ABOUT;
#endif
    wxMenu *help_menu = new wxMenu;
    help_menu->Append(wxID_ABOUT, "ber Address Manager...");
    menu_bar->Append(help_menu, "Hilfe");

	frame->SetMenuBar(menu_bar);

    // Show the frame
    frame->Show(TRUE);

    SetTopWindow(frame);
    return TRUE;
}

int AddressManagerApp::OnExit()
{
    // exit code is 0, everything is ok
    return 0;
}

